/*
 * GameMap.h
 *
 *  Created on: 31/mar/2014
 *      Author: bertini
 */

#ifndef GAMEMAP_H_
#define GAMEMAP_H_

#include "Tile.h"

class GameMap {
public:
	GameMap(int w, int h);
	GameMap(const GameMap& gm);
	virtual ~GameMap();
	void setTile(int x, int y, const Tile& t);
	Tile getTile(int x, int y) const;
	GameMap& operator=(const GameMap& rh);
	void printMap() const;

	int getHeight() const {
		return height;
	}
	int getWidth() const {
		return width;
	}

private:
	int width, height;
	Tile* map;
	void copier(const GameMap& gm);
};

#endif /* GAMEMAP_H_ */
