/*
 * Wizard.h
 *
 *  Created on: 07/apr/2014
 *      Author: bertini
 */

#ifndef WIZARD_H_
#define WIZARD_H_

#include "Character.h"
#include "Dice.h"

class Wizard : public virtual Character {
public:
	Wizard(std::string aName, int hp, int l, int a=1, int x=0, int y=0);
	virtual ~Wizard();

	virtual int fight(Character& enemy);
	virtual void move(int x, int y);
	int doMagic(Character& player);  // TODO add parameter to heal a friendly character

};

#endif /* WIZARD_H_ */
